org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template

## Class DependencyPackage

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template.DependencyPackage

Direct Known Subclasses:
  CranDependencyPackage, CustomDependencyPackage, OSDependencyPackage

    public class DependencyPackage
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DependencyPackage(Dependency d)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Dependency` `getDependency()`
`protected Map<String,String>` `getDictionary(Dependency d)`
`Collection<Role>` `getRoles(TemplateManager tm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyPackage

    public DependencyPackage(Dependency d)

### Method Detail

#### getDictionary

    protected Map<String,String> getDictionary(Dependency d)

#### getDependency

    protected Dependency getDependency()

#### getRoles

    public Collection<Role> getRoles(TemplateManager tm)